/* Initialisation d'un tableau d'entiers       */
/* avec les 50 premieres valeurs de factoriel  */

public class TableauFactorielsLong {

/* Programme principal                         */

  public static void main(String [] args) {
    final int N = 50;
    long [] tb = new long[N];
    int i;
    tb[0] = 1;
    for ( i = 1 ; i < N ; i = i+1 ) {
      tb[i] = tb[i-1]*i; }
    for ( i = 0 ; i < N ; i = i+1 ) {
      Ecran.formater("%2d! = %d\n",i,tb[i]); }
  }
}